> ## Documentation Index
> Fetch the complete documentation index at: https://sendforsign.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Read client

> Get the details of a specific Sendforsign client by its client key via the API.

### Body parameters

**data** `object` *required*

**child attribute**

**action** `string` *required*

Action type.

**client** `object` *required*

Structure, at least one of the fields must be filled.

**child attribute**

**clientKey** `string`

ID of the client.

**fullname** `string`

First and second names of the client.

**email** `string`

Email of the client.

**organization** `string`

Organization name.

**customKey** `string`

Client custom key, if you used it when creating the client.

### Response

**client**

Client structure.

**child attribute**

**createTime** `string`

Create time.

**changeTime** `string`

Change time.

**clientKey** `string`

ID of the client.

**fullname** `string`

First and second names of the client.

**email** `string`

Email of the client.

**organization** `string`

Organization name.

**customKey** `string`

Client custom key, if you used it when creating the client.

**code** `string`

The code of the answer.

**message** `string`

The message of the answer.

```bash cURL theme={null}
curl -X POST 'https://api.sendforsign.com/api/client' \
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{ 
		  "data": {
				   "action": "read",
				   "client": {
							  "clientKey": "CLIENT_KEY",
							  "fullname": "John Johnson",
							  "email": "john_johnson@mail.com",
							  "organization": "Company Inc.",
							  "customKey": "YOUR_COMBINATION"
						     }
				  }
       }'
```

```json Response theme={null}
	{
       "client": {
                "createTime": "2023-12-01 12:18:55",
				"changeTime": "2023-12-01 12:18:55",
                "clientKey": "CLIENT_KEY", 
				"fullname": "John Johnson",
    		    "email": "john_johnson@mail.com",
				"organization": "Company Inc.",
				"customKey": "YOUR_COMBINATION"
		},
       "code": "200",
       "message": "Client found"
    } 
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.